Bug 1171862 - (CVE-2020-12823) VUL-0: CVE-2020-12823: openconnect: buffer overflow, causing a denial of service (application crash) or possibly unspecified other impact, via crafted certificate data to get_cert_name in gnutls.c.
(CVE-2020-12823)
VUL-0: CVE-2020-12823: openconnect: buffer overflow, causing a denial of serv...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/259600/
CVSSv3.1:SUSE:CVE-2020-12823:6.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-19 08:12 UTC by Robert Frohl
Modified: 2020-07-21 19:13 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2020-05-19 08:12:01 UTC
CVE-2020-12823

OpenConnect 8.09 has a buffer overflow, causing a denial of service
(application crash) or possibly unspecified other impact, via crafted
certificate data to get_cert_name in gnutls.c.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-12823
http://people.canonical.com/~ubuntu-security/cve/2020/CVE-2020-12823.html
Comment 1 Robert Frohl 2020-05-19 09:22:12 UTC
affects both SUSE:SLE-12-SP4:Update and SUSE:SLE-15:Update
Comment 2 Yifan Jiang 2020-05-29 03:29:56 UTC
Based on the upstream fix https://gitlab.com/openconnect/openconnect/-/merge_requests/108/diffs I think it could be something in Jonathan's area. Thanks!
Comment 4 Swamp Workflow Management 2020-06-30 19:14:16 UTC
SUSE-SU-2020:1807-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1171862
CVE References: CVE-2020-12823
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    openconnect-7.08-3.12.1
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    openconnect-7.08-3.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2020-07-15 16:24:50 UTC
SUSE-SU-2020:1930-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1171862
CVE References: CVE-2020-12823
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    openconnect-7.08-6.9.1
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    openconnect-7.08-6.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Alexandros Toptsoglou 2020-07-16 14:17:32 UTC
Done
Comment 7 Swamp Workflow Management 2020-07-18 22:17:32 UTC
openSUSE-SU-2020:0997-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1171862
CVE References: CVE-2020-12823
Sources used:
openSUSE Leap 15.1 (src):    openconnect-7.08-lp151.6.9.1
Comment 8 Swamp Workflow Management 2020-07-21 19:13:55 UTC
openSUSE-SU-2020:1027-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1171862
CVE References: CVE-2020-12823
Sources used:
openSUSE Leap 15.2 (src):    openconnect-7.08-lp152.9.4.2